@extends('views.layouts.master')
<link rel="stylesheet" href="{{ csset('/themes/pro/modunawa/resources/css/blog-standard.css') }}">
@section('content')

<!--=====================================
BANNER PART START
=======================================-->
<section class="inner-section single-banner">
	<div class="container">
		<h2>1:1 상담</h2>
		<ol class="breadcrumb">
			<li class="breadcrumb-item"><a href="/">Home</a></li>
			<li class="breadcrumb-item active" aria-current="page">1:1 상담</li>
		</ol>
	</div>
</section>
<!--=====================================
BANNER PART END
=======================================-->

<!--=====================================
     BLOG DETAILS PART START
=======================================-->
<section class="inner-section blog-details-part qna-form">
	<div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-6">
				<p>문의사항을 남겨주시면 빠른 시일 안에 답변을 드리겠습니다.</p>
                <form class="contact-form form-prevent-multiple-submits" action="{{ route('1to1.store') }}" method="POST">
                    @csrf
                    <div class="form-group">
                        @error('pc1')
                            <span class="text-danger">{{ $message }}</span>
                        @enderror
                        <div class="form-input-group">
                            <input class="form-control" name="pc1" type="text" placeholder="이름을 입력해 주세요.">
                            <i class="icofont-user-alt-3"></i>
                        </div>
                    </div>
                    <div class="form-group">
                        @error('pc2')
                            <span class="text-danger">{{ $message }}</span>
                        @enderror
                        <div class="form-input-group">
                            <input class="form-control" name="pc2" type="text" placeholder="이메일을 입력해 주세요.">
                            <i class="icofont-email"></i>
                        </div>
                    </div>
                    <div class="form-group">
                        @error('post_title')
                            <span class="text-danger">{{ $message }}</span>
                        @enderror
                        <div class="form-input-group">
                            <input class="form-control" name="post_title" type="text" placeholder="제목을 입력해 주세요">
                            <i class="icofont-book-mark"></i>
                        </div>
                    </div>
                    <div class="form-group">
                        @error('post_contents')
                            <span class="text-danger">{{ $message }}</span>
                        @enderror
                        <div class="form-input-group">
                            <textarea class="form-control" name="post_contents" placeholder="문의할 내용을 입력해 주세요."></textarea>
                            <i class="icofont-paragraph"></i>
                        </div>
                    </div>
                    <button type="submit" class="form-btn-group button-prevent-multiple-submits">
                        <i class="spinner fa fa-spinner fa-spin"></i>
                        <span>문의하기</span>
                    </button>
                </form>
            </div>
        </div>
    </div>
</section>
<!--=====================================
    BLOG DETAILS PART END
=======================================-->

@endsection

