<!DOCTYPE html>
<html lang="en">
<head>
    <!--=====================================
                    META TAG PART START
        =======================================-->
    <!-- REQUIRE META -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- AUTHOR META -->
    <meta name="author" content="point2u">
    <meta name="email" content="p2u@globalmsq.com">
{{--    <meta name="profile" content="https://themeforest.net/user/mironcoder">--}}

    <!-- TEMPLATE META -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
{{--    <meta name="name" content="Greeny">--}}
{{--    <meta name="title" content="Greeny - eCommerce HTML Template">--}}
{{--    <meta name="keywords" content="organic, food, shop, ecommerce, store, html, bootstrap, template, agriculture, vegetables, webshop, farm, grocery, natural, online store">--}}
    <!--=====================================
                    META-TAG PART END
        =======================================-->

    @stack('meta')
    <!-- WEBPAGE TITLE -->
    <title>@yield('title', env('APP_NAME'))</title>

    <!-- FAVICON -->
    <link rel="icon" href="{{ msset(env('FAVICON_PATH')) }}">

    @php $basePath = '/themes/pro/modunawa/resources'; @endphp

    @include('views.partial.site.meta', [ 'basePath' => $basePath ])
    @include('views.partial.site.scripts', [ 'basePath' => $basePath ])

    @stack('css')
</head>
<body>
    <div class="backdrop"></div>
    <a class="backtop fas fa-arrow-up" href="#"></a>

    @include('layouts.js-lang')
    @include('vendor.lara-izitoast.toast')

    @include('views.layouts.header-top')

    @include('views.layouts.header-part')

    @include('views.layouts.navbar-part')

    @include('views.layouts.category-sidebar')

    @include('views.layouts.cart-sidebar')

    @include('views.layouts.nav-sidebar')

    @include('views.layouts.mobile-menu')

    @include('views.layouts.product-view')

    @yield('content')

{{--    @include('views.layouts.news-part', [ 'basePath' => $basePath ])--}}
    @include('views.layouts.intro-part')
    @include('views.layouts.footer-part')

    <div id="element_in_which_to_insert">
        @yield('modal')
        @stack('modal')
    </div>

    @yield('js')
    @stack('js')
</body>

<script>
    window.env = (@json($_ENV));
    window.Member = @json(session('member'));
    window.CodeTitle = @json($codeTitle ?? '');
</script>

</html>






