@inject('callApiService', 'App\Services\CallApiService')

@php
    $headerPart = $callApiService->callApi([
        'url' => 'list-type1-book',
        'data' => [
            'Book' => [
                [
                    'QueryVars' => [
                        'QueryName' => 'pro:shop/wish',
                        'SubSimpleFilter' => "image_type = 'thumb'",
                        'IsntPagination' => true,
                    ],
                    'PageVars' => [
                        'Limit' => 100000
                    ]
                ],
                [
                    'QueryVars' => [
                        'QueryName' => 'point2u::pro:shop/cart',
                        'SubSimpleFilter' => "image_type = 'thumb'",
                        'IsntPagination' => true,
                    ],
                    'PageVars' => [
                        'Limit' => 100000
                    ]
                ]
            ]

        ],
    ]);
    $wishCount = collect($headerPart['Book'][0]['Page'])->count();
    $cartCount = collect($headerPart['Book'][1]['Page'])->count();
@endphp

<!--=====================================
                        MOBILE-MENU PART START
            =======================================-->
<div class="mobile-menu">
    <a href="{{ route('index') }}" title="Home Page">
        <i class="fas fa-home"></i>
        <span>Home</span>
    </a>
    <button class="cate-btn" title="Category List">
        <i class="fas fa-list"></i>
        <span>category</span>
    </button>
    <button class="cart-btn" title="Cartlist">
        <i class="fas fa-shopping-basket"></i>
        <span>cartlist</span>
        <sup class="cart-item-num">{{ $cartCount }}</sup>
    </button>
	<a href="{{ route('wish-list.index') }}" title="Wishlist">
        <i class="fas fa-heart"></i>
        <span>wishlist</span>
        <sup>{{ $wishCount }}</sup>
    </a>
	<!--
    <a href="compare.html" title="Compare List">
        <i class="fas fa-random"></i>
        <span>compare</span>
        <sup>0</sup>
    </a>
	-->
</div>
<!--=====================================
                    MOBILE-MENU PART END
        =======================================-->
